# -*- coding: utf-8 -*-

from django.utils.translation import ugettext as _
from django.core.urlresolvers import reverse
from admin_tools.menu import items

from jmb.core.admin.menu import register_menu

newsletter2_menu_item = items.MenuItem(
    # GENERAL
    _('Newsletter2'), 
    reverse('admin:app_list', kwargs={'app_label': 'newsletter2'}),
    children=[
        items.MenuItem(
            _('Newsletter2'), '',
            children=[
                items.MenuItem(_('Add Newsletter'), reverse('admin:newsletter2_newsletter_add',)),
                items.MenuItem(_('Newsletter List'), reverse('admin:newsletter2_newsletter_changelist',) ),
            ]
        ),
    ]
)


register_menu(newsletter2_menu_item, 'jmb.newsletter2')
