"""
helper module for jmb.newsletter2
"""
import os

from django.conf import settings

def newsletter2_static_url(path):
    '''
    Helper that prefixes a URL with STATIC_URL and newsletter2
    '''
    newsletter2_static = os.path.join(settings.STATIC_URL, 'newsletter2')
    if not path:
        return ''
    return os.path.join(newsletter2_static, path)